Full name: projects.locations.datasets.dicomStores.deidentify
De-identifies data from the source store and writes it to the destination store. The metadata field type is OperationMetadata. If the request is successful, the response field type is DeidentifyDicomStoreSummary. If errors occur, error is set. The LRO result may still be successful if de-identification fails for some DICOM instances. The output DICOM store will not contain these failed resources. Failed resource totals are tracked in Operation.metadata. Error details are also logged to Cloud Logging (see Viewing error logs in Cloud Logging).
HTTP request
POST https://healthcare.googleapis.com/v1/{sourceStore=projects/*/locations/*/datasets/*/dicomStores/*}:deidentify
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
sourceStore |
Required. Source DICOM store resource name. For example, |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "destinationStore": string, "config": { object( |
| Fields | |
|---|---|
destinationStore |
Required. The name of the DICOM store to write the redacted data to. For example,
|
config |
Deidentify configuration. Only one of |
gcsConfigUri |
Cloud Storage location to read the JSON |
filterConfig |
Filter configuration. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-healthcarehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.